File-Roller-3.36.3

Introduction à File Roller

File Roller est un gestionnaire d'archives pour GNOME qui prend en charge les formats d'archive tar, bzip2, gzip, zip, jar, compress, lzop et bien d'autres.

Ce paquet est connu pour se construire correctement sur une plateforme LFS-9.1.

[Note]

Note

File Roller n'est que l'interface graphique d'outils d'archivage tels que tar et zip.

Informations sur le paquet

Dépendances de File Roller

Requises

GTK+-3.24.22 et itstool-2.0.6

Recommandées

Facultatives (Exécution)

UnRar-5.9.4, UnZip-6.0 et Zip-3.0

Notes utilisateur : http://wiki.linuxfromscratch.org/blfs/wiki/file-roller

Installation de File Roller

Installez File Roller en lançant les commandes suivantes :

mkdir build &&
cd    build &&

meson --prefix=/usr -Dpackagekit=false .. &&
ninja

Ce paquet n'est pas fourni avec une suite de tests.

Maintenant, en tant qu'utilisateur root :

ninja install &&
chmod -v 0755 /usr/libexec/file-roller/isoinfo.sh
[Note]

Note

Si vous installé le paquet dans votre système en utilisant une méthode « DESTDIR », /usr/share/glib-2.0/schemas/gschemas.compiled n'a pas été mis à jour/créé. Créez (ou mettez à jour) le fichier en utilisant la commande suivante en tant qu'utilisateur root :

glib-compile-schemas /usr/share/glib-2.0/schemas
[Note]

Note

Ce paquet installe des fichiers d'icônes dans la hiérarchie /usr/share/icons/hicolor et des fichiers du bureau dans la hiérarchie /usr/share/applications. Vous pouvez améliorer les performances du système et l'utilisation de la mémoire en mettant à jour /usr/share/icons/hicolor/index.theme et /usr/share/applications/mimeinfo.cache. Pour réaliser la mise à jour vous devez avoir installé GTK+-2.24.32 ou GTK+-3.24.22 (pour le cache des icônes) et desktop-file-utils-0.26 (pour le cache du bureau) et taper la commande suivante en tant qu'utilisateur root :

gtk-update-icon-cache -qtf /usr/share/icons/hicolor &&
update-desktop-database -q

Explication des commandes

-Dpackagekit=false : Ce paramètre désactive l'utilisation de PackageKit qui n'est pas approprié dans BLFS.

Contenu

Programme installé: file-roller
Bibliothèques installées: libnautilus-fileroller.so
Répertoires installés: /usr/{libexec,share{,/help/*}}/file-roller

Descriptions courtes

file-roller

est un gestionnaire d'archives pour GNOME.

Last updated on 2020-08-09 07:31:04 +0000